(Ruby)Ubuntu12.04安装Rails环境

作者: From Ocean
发布时间:2015-07-13 11:30:14

首先参考http://www.cnblogs.com/keen-allan/archive/2012/04/22/2464541.html

通过ubuntu的terminal终端将curl和git等安装

$ sudo apt-get install curl  $ sudo apt-get install git-core

然后配置git

$ git config --global user.name "Your Name"  $ git config --global user.email your-email@address.com

接着通过bash命令安装rvm

$ bash -s stable < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer )

切换主目录(当前用户)

$ echo '[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm" # Load RVM function' >> ~/.bash_profile

关闭终端输入然后重新打开,并输入

$ echo '[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm" # Load RVM function' >> ~/.bash_profile

接着通过rvm来安装配置ruby和其他东东

$ rvm list known    #从结果中选择一个版本进行安装  $ rvm install 1.9.3  #安装成功后通过以下命令查看版本  $ ruby -v  $ gem -v

配置好ruby和gem后,通过执行

$ gem update --system  $ gem update

来更新环境以使得平台保持最新,当我执行gem update的时候发现老是报can not find zlib以致无法更新,baidu后发现可以先卸载ruby,然后安装zlib,最后重新安装ruby可以解决(1.9.3为版本号)

1. $ rvm remove 1.9.3    2. $ rvm pkg install zlib    3. $ rvm reinstall 1.9.3

 最后利用gem来安装rails

$ gem install rails  $ rails -v

 

标签: Rails Ruby Ubuntu
来源:http://www.cnblogs.com/ocean2000/archive/2012/09/25/2701539.

推荐: